import { Meta, Story, Preview } from '@storybook/addon-docs/blocks';
import { SearchBox } from './SearchBox';

<Meta title="Inputs/SearchBox" component={SearchBox} />

# SearchBox
 
A search box wrapped in paper with elevation
    
<Preview>
  <Story name="default">
    <SearchBox placeholder="Search for stories" />
  </Story>
</Preview>

<Preview>
  <Story name="loading">
    <SearchBox 
          placeholder="Search for stories"
          inputProps={{ 'aria-label': 'search stories' }}
          loading />
  </Story>
</Preview>